Index: trunk/LMDZ.TITAN/libf/phytitan/sugwd.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sugwd.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/sugwd.F	(revision 1056)
@@ -0,0 +1,188 @@
+      SUBROUTINE SUGWD(NLON,NLEV,paprs,pplay)
+C     
+C
+C**** *SUGWD* INITIALIZE COMMON YOEGWD CONTROLLING GRAVITY WAVE DRAG
+C
+C     PURPOSE.
+C     --------
+C           INITIALIZE YOEGWD, THE COMMON THAT CONTROLS THE
+C           GRAVITY WAVE DRAG PARAMETRIZATION.
+C    VERY IMPORTANT:
+C    ______________
+C           THIS ROUTINE SET_UP THE "TUNABLE PARAMETERS" OF THE
+C           VARIOUS SSO SCHEMES
+C
+C**   INTERFACE.
+C     ----------
+C        CALL *SUGWD* FROM *SUPHEC*
+C              -----        ------
+C (called not from suphec but from first call of physiq.F)
+C
+C        EXPLICIT ARGUMENTS :
+C        --------------------
+C        PAPRS,PPLAY : Pressure at semi and full model levels
+C        NLEV        : number of model levels
+c        NLON        : number of points treated in the physics
+C
+C        IMPLICIT ARGUMENTS :
+C        --------------------
+C        COMMON YOEGWD
+C-GFRCRIT-R:  Critical Non-dimensional mountain Height
+C             (HNC in (1),    LOTT 1999)
+C-GKWAKE--R:  Bluff-body drag coefficient for low level wake
+C             (Cd in (2),     LOTT 1999)
+C-GRCRIT--R:  Critical Richardson Number 
+C             (Ric, End of first column p791 of LOTT 1999) 
+C-GKDRAG--R:  Gravity wave drag coefficient
+C             (G in (3),      LOTT 1999)
+C-GKLIFT--R:  Mountain Lift coefficient
+C             (Cl in (4),     LOTT 1999)
+C-GHMAX---R:  Not used
+C-GRAHILO-R:  Set-up the trapped waves fraction
+C             (Beta , End of first column,  LOTT 1999)
+C
+C-GSIGCR--R:  Security value for blocked flow depth
+C-NKTOPG--I:  Security value for blocked flow level
+C-NTOP----I:  An estimate to qualify the upper levels of
+C             the model where one wants to impose strees
+C             profiles
+C-GSSECC--R:  Security min value for low-level B-V frequency
+C-GTSEC---R:  Security min value for anisotropy and GW stress.
+C-GVSEC---R:  Security min value for ulow
+C         
+C
+C     METHOD.
+C     -------
+C        SEE DOCUMENTATION
+C
+C     EXTERNALS.
+C     ----------
+C        NONE
+C
+C     REFERENCE.
+C     ----------
+C     Lott, 1999: Alleviation of stationary biases in a GCM through...
+C                 Monthly Weather Review, 127, pp 788-801.
+C
+C     AUTHOR.
+C     -------
+C        FRANCOIS LOTT        *LMD*
+C
+C     MODIFICATIONS.
+C     --------------
+C        ORIGINAL : 90-01-01 (MARTIN MILLER, ECMWF)
+C        LAST:  99-07-09     (FRANCOIS LOTT,LMD)
+C     ------------------------------------------------------------------
+      use dimphy
+      IMPLICIT NONE
+
+#include "dimensions.h"
+#include "paramet.h"
+
+#include "YOEGWD.h"
+C
+C  ARGUMENTS
+      integer nlon,nlev
+      REAL paprs(nlon,nlev+1)
+      REAL pplay(nlon,nlev)
+C
+      INTEGER JK
+      REAL ZPR,ZTOP,ZSIGT,ZPM1R
+
+C
+C*       1.    SET THE VALUES OF THE PARAMETERS
+C              --------------------------------
+C
+ 100  CONTINUE
+C
+      PRINT *,' DANS SUGWD NLEV=',NLEV
+      GHMAX=10000.
+C
+      ZPR=100000.
+      ZTOP=0.001 
+c valeurs dans la dernière routine de FLott
+c      ZSIGT=0.94
+c valeurs dans les routines Mars
+      ZSIGT=0.85
+C
+Coff  CALL gather(pplay,pplay_glo)
+Coff  CALL bcast(pplay_glo)
+Coff  CALL gather(paprs,paprs_glo)
+Coff  CALL bcast(paprs_glo)
+
+      DO 110 JK=1,NLEV
+Coff  ZPM1R=pplay_glo(klon_glo/2,jk)/paprs_glo(klon_glo/2,1) 
+      ZPM1R=pplay(klon/2,jk)/paprs(klon/2,1) 
+      IF(ZPM1R.GE.ZSIGT)THEN
+         nktopg=JK
+      ENDIF
+Coff  ZPM1R=pplay_glo(klon_glo/2,jk)/paprs_glo(klon_glo/2,1) 
+      ZPM1R=pplay(klon/2,jk)/paprs(klon/2,1) 
+      IF(ZPM1R.GE.ZTOP)THEN
+         ntop=JK
+      ENDIF
+  110 CONTINUE
+c
+c  inversion car dans orodrag on compte les niveaux a l'envers
+      nktopg=nlev-nktopg+1
+      ntop=nlev-ntop
+      print *,' DANS SUGWD nktopg=', nktopg
+      print *,' DANS SUGWD ntop=', ntop
+C
+      GSIGCR=0.80
+C
+c valeurs dans la dernière routine de FLott
+c      GKDRAG=0.1875
+c      GRAHILO=0.1   
+c      GRCRIT=1.00 
+c      GFRCRIT=1.00
+c      GKWAKE=0.50
+C
+c      GKLIFT=0.25
+c      GVCRIT =0.1
+
+c valeurs dans les routines Mars
+      GKDRAG=0.1
+      GRAHILO=1.0   
+      GRCRIT=0.25 
+      GFRCRIT=1.00
+      GKWAKE=1.0
+C
+      GKLIFT=0.25
+      GVCRIT =0.0
+
+      WRITE(UNIT=6,FMT='('' *** SSO essential constants ***'')')
+      WRITE(UNIT=6,FMT='('' *** SPECIFIED IN SUGWD ***'')')
+      WRITE(UNIT=6,FMT='('' Gravity wave ct '',E13.7,'' '')')GKDRAG
+      WRITE(UNIT=6,FMT='('' Trapped/total wave dag '',E13.7,'' '')')
+     S      GRAHILO
+      WRITE(UNIT=6,FMT='('' Critical Richardson   = '',E13.7,'' '')')
+     S                  GRCRIT
+      WRITE(UNIT=6,FMT='('' Critical Froude'',e13.7)') GFRCRIT
+      WRITE(UNIT=6,FMT='('' Low level Wake bluff cte'',e13.7)') GKWAKE
+      WRITE(UNIT=6,FMT='('' Low level lift  cte'',e13.7)') GKLIFT
+
+C
+C
+C      ----------------------------------------------------------------
+C
+C*       2.    SET VALUES OF SECURITY PARAMETERS
+C              ---------------------------------
+C
+ 200  CONTINUE
+C
+c valeurs dans la dernière routine de FLott
+c      GVSEC=0.10
+c      GSSEC=0.0001
+C
+c      GTSEC=0.00001
+C
+c valeurs dans les routines Mars
+      GVSEC=0.10
+      GSSEC=1.e-12
+C
+      GTSEC=1.e-7
+C
+      RETURN
+      END
+
Index: trunk/LMDZ.TITAN/libf/phytitan/tholin_cvd.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/tholin_cvd.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/tholin_cvd.F	(revision 1056)
@@ -0,0 +1,200 @@
+      SUBROUTINE THOLIN_CVD(WLNMETERS,XNR,XNI)   ! original 
+C THIS ROUTINE RETURNS THE OPTICAL CONSTANTS OF LABORATORY PRODUCED
+C FOR WAVELN ABOVE AND BELOW THE DATA, VALUES ARE EXTRAPOLATED AS
+CONSTANT
+      DIMENSION W(385),XN(385),XK(385)
+
+      data W/
+     &314.0367,303.2380,292.8110,282.7425,273.0199,263.6319,254.5665,
+     &245.8130,237.3603,229.3791,225.0075,220.7190,216.5123,212.3858,
+     &208.3380,204.3672,200.4722,196.6515,192.9034,189.2269,185.6204,
+     &182.0827,178.6123,175.2082,171.9691,169.6769,167.4153,165.1838,
+     &162.9822,160.8098,158.6664,156.5516,154.4649,152.4061,150.3746,
+     &148.3703,146.3927,144.4415,142.5163,140.6907,139.3035,137.9300,
+     &136.5701,135.2235,133.8902,132.5701,131.2629,129.9687,128.6872,
+     &127.4184,126.1621,124.9181,123.6865,122.4669,120.8540,117.6756,
+     &114.5806,111.5671,108.6329,105.7758,102.9938,100.2851, 97.6476,
+     & 95.0794, 92.5788, 90.1439, 87.7731, 85.4646, 83.2169, 81.0670,
+     & 79.0859, 77.1533, 75.2678, 73.4285, 71.6340, 69.8835, 68.1757,
+     & 66.5097, 64.8843, 63.2987, 61.7519, 60.2428, 58.7706, 57.3344,
+     & 55.8598, 54.2566, 52.6993, 51.1868, 49.7176, 48.2906, 46.9046,
+     & 45.5584, 44.2508, 42.9807, 41.7471, 40.5489, 39.3851, 38.2547,
+     & 37.1567, 36.3218, 35.9298, 35.5420, 35.1584, 34.7789, 34.4036,
+     & 34.0323, 33.6650, 33.3016, 32.9422, 32.5867, 32.2350, 31.8871,
+     & 31.5429, 31.2025, 30.7221, 30.0381, 29.3693, 28.7155, 28.0761,
+     & 27.4511, 26.8399, 26.2424, 25.6581, 25.0869, 24.5283, 23.9823,
+     & 23.4483, 22.9263, 22.4159, 22.0109, 21.7266, 21.4461, 21.1691,
+     & 20.8957, 20.6259, 20.3595, 20.0966, 19.8371, 19.5809, 19.3281,
+     & 19.0785, 18.8321, 18.5889, 18.3489, 18.2124, 18.1771, 18.1420,
+     & 18.1069, 18.0719, 18.0369, 18.0021, 17.9672, 17.9325, 17.8978,
+     & 17.8632, 17.8287, 17.7942, 17.7598, 17.7254, 17.5766, 17.3366,
+     & 17.0999, 16.8665, 16.6362, 16.4091, 16.1851, 15.9641, 15.7461,
+     & 15.5312, 15.3191, 15.1100, 14.9037, 14.7002, 14.4995, 14.3561,
+     & 14.2503, 14.1453, 14.0410, 13.9375, 13.8347, 13.7327, 13.6315,
+     & 13.5310, 13.4313, 13.3323, 13.2340, 13.1364, 13.0396, 12.9435,
+     & 12.8549, 12.7705, 12.6867, 12.6035, 12.5208, 12.4387, 12.3570,
+     & 12.2760, 12.1954, 12.1154, 12.0359, 11.9569, 11.8785, 11.8006,
+     & 11.7231, 11.6697, 11.6266, 11.5836, 11.5408, 11.4982, 11.4557,
+     & 11.4133, 11.3712, 11.3291, 11.2873, 11.2456, 11.2040, 11.1626,
+     & 11.1213, 11.0803, 11.0412, 11.0029, 10.9648, 10.9268, 10.8889,
+     & 10.8512, 10.8136, 10.7761, 10.7387, 10.7015, 10.6644, 10.6274,
+     & 10.5906, 10.5539, 10.5173, 10.4062, 10.2779, 10.1512, 10.0261,
+     &  9.9025,  9.7804,  9.6598,  9.5407,  9.4231,  9.3070,  9.1922,
+     &  9.0789,  8.9670,  8.8564,  8.7473,  8.6658,  8.5898,  8.5144,
+     &  8.4397,  8.3656,  8.2922,  8.2194,  8.1473,  8.0758,  8.0049,
+     &  7.9346,  7.8650,  7.7960,  7.7276,  7.6597,  7.6149,  7.5728,
+     &  7.5309,  7.4892,  7.4478,  7.4066,  7.3656,  7.3249,  7.2844,
+     &  7.2441,  7.2040,  7.1642,  7.1246,  7.0851,  7.0460,  7.0194,
+     &  6.9935,  6.9678,  6.9421,  6.9165,  6.8911,  6.8657,  6.8404,
+     &  6.8152,  6.7901,  6.7651,  6.7402,  6.7154,  6.6906,  6.6660,
+     &  5.7876,  5.4343,  5.1027,  4.7912,  4.4988,  4.2242,  3.9664,
+     &  3.7243,  3.4970,  3.2836,  3.0832,  2.8950,  2.7183,  2.5524,
+     &  2.3966,  2.2504,  2.1130,  1.9841,  1.8630,  1.7493,  1.6425,
+     &  1.5422,  1.4481,  1.3597,  1.2767,  1.1988,  1.1257,  1.0570,
+     &  0.9924,  0.9319,  0.8750,  0.8216,  0.7715,  0.7244,  0.6802,
+     &  0.6386,  0.5997,  0.5631,  0.5287,  0.4964,  0.4661,  0.4377,
+     &  0.4110,  0.3859,  0.3623,  0.3402,  0.3195,  0.3000,  0.2817,
+     &  0.2645,  0.2483,  0.2332,  0.2189,  0.2056,  0.1930,  0.1812,
+     &  0.1702,  0.1598,  0.1500,  0.1409,  0.1323,  0.1242,  0.1166,
+     &  0.1095,  0.1028,  0.0966,  0.0907,  0.0851,  0.0799,  0.0751,
+     &  0.0705,  0.0662,  0.0621,  0.0583,  0.0548,  0.0514,  0.0483,
+     &  0.0453,  0.0426,  0.0400,  0.0375,  0.0353,  0.0331,  0.0311,
+     &  0.0292,  0.0274,  0.0257,  0.0242,  0.0227,  0.0213,  0.0200/
+
+        data XN/
+     &  1.9168,  1.9212,  1.9258,  1.9306,  1.9353,  1.9397,  1.9428,
+     &  1.9421,  1.9430,  1.9444,  1.9454,  1.9469,  1.9476,  1.9474,
+     &  1.9463,  1.9439,  1.9387,  1.9312,  1.9260,  1.9210,  1.9160,
+     &  1.9101,  1.9037,  1.8982,  1.8931,  1.8894,  1.8856,  1.8818,
+     &  1.8779,  1.8738,  1.8693,  1.8646,  1.8593,  1.8530,  1.8475,
+     &  1.8423,  1.8369,  1.8314,  1.8247,  1.8189,  1.8149,  1.8112,
+     &  1.8076,  1.8040,  1.8003,  1.7964,  1.7930,  1.7901,  1.7874,
+     &  1.7849,  1.7826,  1.7805,  1.7785,  1.7768,  1.7745,  1.7715,
+     &  1.7688,  1.7652,  1.7613,  1.7574,  1.7535,  1.7490,  1.7442,
+     &  1.7399,  1.7363,  1.7337,  1.7317,  1.7308,  1.7283,  1.7248,
+     &  1.7198,  1.7164,  1.7132,  1.7066,  1.7027,  1.7001,  1.6959,
+     &  1.6923,  1.6897,  1.6877,  1.6859,  1.6847,  1.6840,  1.6835,
+     &  1.6831,  1.6839,  1.6875,  1.6914,  1.6930,  1.6934,  1.6951,
+     &  1.6949,  1.6925,  1.6932,  1.6943,  1.6962,  1.6976,  1.6983,
+     &  1.6997,  1.7005,  1.7008,  1.7012,  1.7018,  1.7024,  1.7028,
+     &  1.7032,  1.7037,  1.7044,  1.7051,  1.7055,  1.7058,  1.7061,
+     &  1.7066,  1.7064,  1.7044,  1.7014,  1.7018,  1.7014,  1.7019,
+     &  1.7027,  1.7029,  1.7060,  1.7076,  1.7074,  1.7083,  1.7091,
+     &  1.7106,  1.7116,  1.7096,  1.7104,  1.7114,  1.7112,  1.7114,
+     &  1.7120,  1.7116,  1.7121,  1.7144,  1.7165,  1.7159,  1.7126,
+     &  1.7098,  1.7112,  1.7108,  1.7105,  1.7115,  1.7117,  1.7119,
+     &  1.7121,  1.7121,  1.7121,  1.7121,  1.7120,  1.7120,  1.7119,
+     &  1.7118,  1.7117,  1.7117,  1.7116,  1.7116,  1.7116,  1.7118,
+     &  1.7121,  1.7127,  1.7135,  1.7152,  1.7170,  1.7164,  1.7131,
+     &  1.7127,  1.7140,  1.7158,  1.7193,  1.7226,  1.7255,  1.7276,
+     &  1.7285,  1.7293,  1.7297,  1.7298,  1.7295,  1.7285,  1.7270,
+     &  1.7243,  1.7193,  1.7132,  1.7094,  1.7064,  1.7033,  1.7016,
+     &  1.7010,  1.7015,  1.7032,  1.7037,  1.7040,  1.7040,  1.7039,
+     &  1.7037,  1.7035,  1.7032,  1.7029,  1.7026,  1.7023,  1.7019,
+     &  1.7015,  1.7013,  1.7011,  1.7009,  1.7008,  1.7006,  1.7003,
+     &  1.6998,  1.6992,  1.6986,  1.6977,  1.6964,  1.6955,  1.6949,
+     &  1.6944,  1.6940,  1.6936,  1.6933,  1.6930,  1.6927,  1.6925,
+     &  1.6923,  1.6922,  1.6921,  1.6920,  1.6919,  1.6918,  1.6918,
+     &  1.6917,  1.6917,  1.6917,  1.6918,  1.6921,  1.6926,  1.6933,
+     &  1.6942,  1.6953,  1.6966,  1.6981,  1.6999,  1.7020,  1.7048,
+     &  1.7082,  1.7107,  1.7131,  1.7153,  1.7171,  1.7187,  1.7204,
+     &  1.7221,  1.7240,  1.7259,  1.7278,  1.7312,  1.7359,  1.7411,
+     &  1.7464,  1.7494,  1.7514,  1.7526,  1.7522,  1.7499,  1.7421,
+     &  1.7382,  1.7424,  1.7539,  1.7647,  1.7797,  1.8034,  1.7889,
+     &  1.7552,  1.7328,  1.7341,  1.7439,  1.7669,  1.7864,  1.7968,
+     &  1.8076,  1.8169,  1.8204,  1.8160,  1.7935,  1.7718,  1.7534,
+     &  1.7302,  1.6941,  1.6947,  1.7192,  1.7730,  1.8033,  1.7930,
+     &  1.4623,  1.5506,  1.5865,  1.6135,  1.6100,  1.6293,  1.6393,
+     &  1.6479,  1.6500,  1.6500,  1.6229,  1.5865,  1.5951,  1.6102,
+     &  1.6200,  1.6279,  1.6300,  1.6300,  1.6320,  1.6400,  1.6400,
+     &  1.6400,  1.6400,  1.6400,  1.6447,  1.6496,  1.6500,  1.6500,
+     &  1.6515,  1.6557,  1.6599,  1.6651,  1.6704,  1.6758,  1.6813,
+     &  1.6875,  1.6938,  1.7001,  1.7053,  1.7105,  1.7157,  1.7149,
+     &  1.6874,  1.6587,  1.6376,  1.6349,  1.6442,  1.6568,  1.6684,
+     &  1.6796,  1.6800,  1.6777,  1.6711,  1.6645,  1.6590,  1.6556,
+     &  1.6523,  1.6557,  1.6731,  1.6906,  1.7102,  1.7323,  1.7500,
+     &  1.7189,  1.6778,  1.6211,  1.5510,  1.4599,  1.3682,  1.2730,
+     &  1.1930,  1.1130,  1.0330,  0.9586,  0.9234,  0.8881,  0.8528,
+     &  0.8176,  0.8053,  0.8083,  0.8189,  0.8295,  0.8401,  0.8507,
+     &  0.8614,  0.8721,  0.8829,  0.8936,  0.9044,  0.9151,  0.9200/
+
+        data XK/
+     &.139E-01,.173E-01,.214E-01,.266E-01,.330E-01,.409E-01,.507E-01,
+     &.601E-01,.676E-01,.759E-01,.810E-01,.869E-01,.942E-01,.102E+00,
+     &.111E+00,.120E+00,.130E+00,.135E+00,.140E+00,.145E+00,.150E+00,
+     &.155E+00,.159E+00,.162E+00,.165E+00,.167E+00,.170E+00,.172E+00,
+     &.174E+00,.177E+00,.180E+00,.182E+00,.185E+00,.186E+00,.187E+00,
+     &.188E+00,.188E+00,.189E+00,.190E+00,.188E+00,.187E+00,.186E+00,
+     &.185E+00,.184E+00,.183E+00,.181E+00,.179E+00,.177E+00,.175E+00,
+     &.173E+00,.171E+00,.169E+00,.167E+00,.165E+00,.163E+00,.158E+00,
+     &.156E+00,.154E+00,.152E+00,.150E+00,.148E+00,.146E+00,.143E+00,
+     &.140E+00,.137E+00,.133E+00,.130E+00,.128E+00,.128E+00,.127E+00,
+     &.126E+00,.123E+00,.123E+00,.120E+00,.115E+00,.112E+00,.109E+00,
+     &.104E+00,.989E-01,.939E-01,.890E-01,.841E-01,.792E-01,.747E-01,
+     &.695E-01,.627E-01,.571E-01,.552E-01,.546E-01,.528E-01,.513E-01,
+     &.523E-01,.488E-01,.452E-01,.423E-01,.401E-01,.391E-01,.376E-01,
+     &.363E-01,.356E-01,.351E-01,.347E-01,.342E-01,.341E-01,.340E-01,
+     &.337E-01,.334E-01,.332E-01,.335E-01,.338E-01,.342E-01,.344E-01,
+     &.351E-01,.362E-01,.379E-01,.356E-01,.333E-01,.322E-01,.300E-01,
+     &.294E-01,.270E-01,.258E-01,.271E-01,.273E-01,.267E-01,.268E-01,
+     &.265E-01,.289E-01,.288E-01,.274E-01,.280E-01,.285E-01,.282E-01,
+     &.286E-01,.287E-01,.274E-01,.273E-01,.296E-01,.334E-01,.351E-01,
+     &.327E-01,.311E-01,.319E-01,.301E-01,.300E-01,.300E-01,.302E-01,
+     &.304E-01,.307E-01,.309E-01,.310E-01,.311E-01,.311E-01,.312E-01,
+     &.312E-01,.312E-01,.312E-01,.311E-01,.311E-01,.309E-01,.305E-01,
+     &.302E-01,.299E-01,.296E-01,.292E-01,.316E-01,.345E-01,.344E-01,
+     &.322E-01,.304E-01,.293E-01,.286E-01,.305E-01,.326E-01,.355E-01,
+     &.378E-01,.403E-01,.430E-01,.461E-01,.493E-01,.528E-01,.565E-01,
+     &.604E-01,.646E-01,.636E-01,.621E-01,.607E-01,.587E-01,.556E-01,
+     &.528E-01,.503E-01,.494E-01,.495E-01,.496E-01,.496E-01,.497E-01,
+     &.498E-01,.499E-01,.499E-01,.500E-01,.501E-01,.501E-01,.502E-01,
+     &.503E-01,.503E-01,.504E-01,.504E-01,.506E-01,.509E-01,.512E-01,
+     &.515E-01,.518E-01,.521E-01,.525E-01,.522E-01,.516E-01,.510E-01,
+     &.504E-01,.498E-01,.493E-01,.488E-01,.483E-01,.477E-01,.472E-01,
+     &.467E-01,.462E-01,.457E-01,.453E-01,.448E-01,.443E-01,.438E-01,
+     &.434E-01,.429E-01,.424E-01,.411E-01,.395E-01,.380E-01,.365E-01,
+     &.351E-01,.338E-01,.324E-01,.312E-01,.300E-01,.288E-01,.277E-01,
+     &.281E-01,.289E-01,.297E-01,.305E-01,.311E-01,.317E-01,.323E-01,
+     &.329E-01,.336E-01,.342E-01,.342E-01,.337E-01,.348E-01,.365E-01,
+     &.415E-01,.475E-01,.529E-01,.589E-01,.656E-01,.705E-01,.744E-01,
+     &.645E-01,.558E-01,.515E-01,.532E-01,.550E-01,.806E-01,.121E+00,
+     &.139E+00,.112E+00,.921E-01,.777E-01,.696E-01,.819E-01,.914E-01,
+     &.102E+00,.121E+00,.145E+00,.173E+00,.199E+00,.204E+00,.208E+00,
+     &.213E+00,.190E+00,.147E+00,.114E+00,.111E+00,.157E+00,.220E+00,
+     &.428E-01,.109E-01,.807E-02,.141E-01,.147E-01,.100E-01,.128E-01,
+     &.190E-01,.321E-01,.252E-01,.273E-01,.124E-01,.719E-02,.719E-02,
+     &.719E-02,.719E-02,.719E-02,.719E-02,.719E-02,.719E-02,.719E-02,
+     &.718E-02,.709E-02,.701E-02,.720E-02,.699E-02,.759E-02,.723E-02,
+     &.694E-02,.723E-02,.777E-02,.864E-02,.102E-01,.126E-01,.160E-01,
+     &.204E-01,.264E-01,.346E-01,.435E-01,.551E-01,.701E-01,.889E-01,
+     &.109E+00,.129E+00,.147E+00,.168E+00,.188E+00,.205E+00,.226E+00,
+     &.250E+00,.275E+00,.294E+00,.299E+00,.303E+00,.309E+00,.318E+00,
+     &.328E+00,.339E+00,.353E+00,.368E+00,.407E+00,.484E+00,.584E+00,
+     &.698E+00,.788E+00,.873E+00,.950E+00,.101E+01,.107E+01,.104E+01,
+     &.988E+00,.942E+00,.899E+00,.850E+00,.758E+00,.676E+00,.603E+00,
+     &.538E+00,.461E+00,.389E+00,.326E+00,.274E+00,.230E+00,.193E+00,
+     &.164E+00,.140E+00,.119E+00,.101E+00,.861E-01,.733E-01,.681E-01/
+
+      XNR=XN(1)
+      XNI=XK(1)
+      WAVELN = WLNMETERS !* 1.E6  ! ARRAYS ARE IN MICRONS
+      IF (WAVELN .GE. W(1))  RETURN
+      XNR=XN(385)
+      XNI=XK(385)
+      IF (WAVELN .LE. W(385)) RETURN
+      DO 100 I=2,384
+      IF (WAVELN .GT. W(I) ) GOTO 101
+ 100  CONTINUE
+ 101  CONTINUE
+C ALL INTERPOLATION IS IN LOG LAMBDA 
+      FACTOR= (alog(WAVELN) - alog(W(I)) ) / (alog(W(I-1)) - alog(W(I)))
+C REAL PART IS LINEARLY INTERPOLATED
+      XNR=XN(I) + FACTOR*(XN(I-1) - XN(I))
+C IMAGINARY PART IS LOG INTERPOLATED
+      XNI=alog(XK(I)) + FACTOR*(alog(XK(I-1)) - alog(XK(I)))
+      XNI=exp(XNI)
+
+      RETURN
+      END
+
+
Index: trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F	(revision 1056)
@@ -0,0 +1,55 @@
+      SUBROUTINE wind_scal(pbaru,pbarv,us,vs)
+c=======================================================================
+c
+c
+c   Subject:
+c   ------
+c   On ramene les flux de masse /vents  aux points scalaires.
+c
+c=======================================================================
+      IMPLICIT NONE
+c-----------------------------------------------------------------------
+c   Declararations:
+c   ---------------
+
+#include "dimensions.h"
+#include "paramet.h"
+#include "comgeom.h"
+
+c   Arguments:
+c   ----------
+
+      REAL pbaru(ip1jmp1,llm),pbarv(ip1jm,llm)
+      REAL us(ip1jmp1,llm), vs (ip1jmp1,llm)
+
+c   Local:
+c   ------
+
+      INTEGER ij,l
+
+c-----------------------------------------------------------------------
+
+c   transport zonal:
+c   ----------------
+      DO l=1,llm
+	 DO ij=2,ip1jmp1
+            us(ij,l)=.5*(pbaru(ij,l)+pbaru(ij-1,l))
+	 ENDDO
+      ENDDO
+      CALL SCOPY(jjp1*llm,us(iip1,1),iip1,us(1,1),iip1)
+
+
+c   Transport meridien:
+c   -------------------
+      DO l=1,llm
+         DO ij=iip2,ip1jm
+	    vs(ij,l)=.5*(pbarv(ij,l)+pbarv(ij-iip1,l))
+	 ENDDO
+	 DO ij=1,iip1
+	    vs(ij,l)=0.
+	    vs(ip1jm+ij,l)=0.
+	 ENDDO
+      ENDDO
+
+      RETURN
+      END
Index: trunk/LMDZ.TITAN/libf/phytitan/write_archive.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_archive.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_archive.F	(revision 1056)
@@ -0,0 +1,197 @@
+c=======================================================================
+      subroutine write_archive(nid,nom,titre,unite,dim,px)
+c=======================================================================
+c
+c
+c   Date:    01/1997
+c   ----
+c
+c   Objet:   Ecriture de champs sur grille scalaire (iip1*jjp1)
+c   -----    dans un fichier DRS nomme "start_archive"
+c
+c    Il faut au prealable avoir cree un entete avec un "call ini_archive".
+c    Ces variables peuvent etre 3d (ex: temperature), 2d (ex: temperature
+c    de surface), ou 0d (pour un scalaire qui ne depend que du temps)
+c    (ex: la longitude solaire)
+c
+c
+c   Arguments: 
+c   ----------
+c
+c     Inputs:
+c     ------
+c
+c		  nid      Unite logique du fichier "start_archive"
+c         nom      nom du champ a ecrire dans le fichier "start_archive"
+c         titre    titre de la variable dans le fichier DRS "start_archive"
+c         unite    unite de la variable ....
+c         dim      dimension de la variable a ecrire
+c         px       tableau contenant la variable a ecrire
+c
+c
+c=======================================================================
+
+      USE control_mod
+
+      implicit none
+
+#include "dimensions.h"
+#include "paramet.h"
+#include "comvert.h"
+#include "comgeom.h"
+#include "description.h"
+#include "temps.h"
+#include "netcdf.inc"
+
+c-----------------------------------------------------------------------
+c	Declarations   
+c-----------------------------------------------------------------------
+
+c Arguments:
+
+      INTEGER nid,ntime,dim 
+      REAL px(iip1,jjp1,llm) 
+
+      CHARACTER*(*) nom, titre, unite
+
+      integer ierr
+
+
+c local
+      integer, dimension(4) :: edges,corner,id
+      integer :: varid,i,j,l
+
+      ntime = 1
+      
+c-----------------------------------------------------------------------
+c      Ecriture du champs dans le fichier            (3 cas)      
+c-----------------------------------------------------------------------
+
+!Cas Variable 3D
+!---------------
+        if (dim.eq.3) then
+
+!         Ecriture du champs
+
+! nom de la variable
+           ierr= NF_INQ_VARID(nid,nom,varid)
+           if (ierr /= NF_NOERR) then
+! choix du nom des coordonnees
+              ierr= NF_INQ_DIMID(nid,"rlonv",id(1))
+              ierr= NF_INQ_DIMID(nid,"rlatu",id(2))
+              ierr= NF_INQ_DIMID(nid,"sigs",id(3))
+              ierr= NF_INQ_DIMID(nid,"Time",id(4))
+
+! Creation de la variable si elle n'existait pas
+
+              write (*,*) "====================="
+              write (*,*) "creation de ",nom
+              call def_var(nid,nom,titre,unite,4,id,varid,ierr)
+
+           endif
+
+           corner(1)=1
+           corner(2)=1
+           corner(3)=1
+           corner(4)=ntime
+
+           edges(1)=iip1
+           edges(2)=jjp1
+           edges(3)=llm
+           edges(4)=1
+#ifdef NC_DOUBLE
+           ierr= NF_PUT_VARA_DOUBLE(nid,varid,corner,edges,px)
+#else
+           ierr= NF_PUT_VARA_REAL(nid,varid,corner,edges,px)
+#endif
+
+           if (ierr.ne.NF_NOERR) then
+              write(*,*) "***** PUT_VAR matter in write_archive"
+              write(*,*) "***** with ",nom," ",nf_STRERROR(ierr)
+              call abort
+           endif
+
+!Cas Variable 2D
+!---------------
+
+        else if (dim.eq.2) then
+
+!         Ecriture du champs
+
+           ierr= NF_INQ_VARID(nid,nom,varid)
+           if (ierr /= NF_NOERR) then
+!  choix du nom des coordonnees
+              ierr= NF_INQ_DIMID(nid,"rlonv",id(1))
+              ierr= NF_INQ_DIMID(nid,"rlatu",id(2))
+              ierr= NF_INQ_DIMID(nid,"Time",id(3))
+
+! Creation de la variable si elle n'existait pas
+
+              write (*,*) "====================="
+              write (*,*) "creation de ",nom
+
+              call def_var(nid,nom,titre,unite,3,id,varid,ierr)
+
+           endif
+
+           corner(1)=1
+           corner(2)=1
+           corner(3)=ntime
+           edges(1)=iip1
+           edges(2)=jjp1
+           edges(3)=1
+
+
+#ifdef NC_DOUBLE
+           ierr = NF_PUT_VARA_DOUBLE (nid,varid,corner,edges,px)
+#else         
+           ierr= NF_PUT_VARA_REAL(nid,varid,corner,edges,px)
+#endif     
+
+           if (ierr.ne.NF_NOERR) then
+              write(*,*) "***** PUT_VAR matter in write_archive"
+              write(*,*) "***** with ",nom,nf_STRERROR(ierr)
+              call abort
+           endif
+
+
+!Cas Variable 0D (scalaire dependant du temps)
+!---------------------------------------------
+
+        else if (dim.eq.0) then
+
+!         Ecriture du champs
+
+           ierr= NF_INQ_VARID(nid,nom,varid)
+           if (ierr /= NF_NOERR) then
+!  choix du nom des coordonnees
+              ierr= NF_INQ_DIMID(nid,"temps",id(1))
+
+! Creation de la variable si elle n'existait pas
+
+              write (*,*) "====================="
+              write (*,*) "creation de ",nom
+
+              call def_var(nid,nom,titre,unite,1,id,varid,ierr)
+
+           endif
+
+           corner(1)=ntime
+           edges(1)=1
+
+#ifdef NC_DOUBLE
+           ierr = NF_PUT_VARA_DOUBLE (nid,varid,corner,edges,px)
+#else
+           ierr= NF_PUT_VARA_REAL(nid,varid,corner,edges,px)
+#endif
+           if (ierr.ne.NF_NOERR) then
+              write(*,*) "***** PUT_VAR matter in write_archive"
+              write(*,*) "***** with ",nom,nf_STRERROR(ierr)
+              call abort
+           endif
+
+        endif
+
+      return
+      end
+
Index: trunk/LMDZ.TITAN/libf/phytitan/write_field_phy.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_field_phy.F90	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_field_phy.F90	(revision 1056)
@@ -0,0 +1,36 @@
+!
+! $Header$
+!
+MODULE write_field_phy
+
+  CONTAINS 
+ 
+    SUBROUTINE WriteField_phy(name,Field,ll)
+    USE dimphy
+    USE mod_phys_lmdz_para
+    USE mod_grid_phy_lmdz
+    USE Write_Field
+    
+    IMPLICIT NONE
+    include 'dimensions.h'
+    include 'paramet.h'
+
+    character(len=*)   :: name
+    INTEGER :: ll
+    real, dimension(klon_omp,ll) :: Field
+    real,save,allocatable :: Field_tmp(:,:)
+    real, dimension(klon_glo,ll):: New_Field
+    real, dimension(iim,jjp1,ll):: Field_2d
+
+    CALL Gather(Field,New_Field)
+!$OMP MASTER
+    IF (is_mpi_root) THEN	
+      CALL Grid1Dto2D_glo(New_Field,Field_2D)
+      CALL WriteField(name,Field_2d)
+    ENDIF
+!$OMP END MASTER
+
+  
+   END SUBROUTINE WriteField_phy
+ 
+ END MODULE write_field_phy
